#include <stdio.h>
#include "omp.h"

#define N 100000

int main( void )
{
    int i, ctr = 0;
    omp_lock_t l;

    omp_init_lock(&l);
    #pragma omp parallel for num_threads(4)
    for( i = 0; i < N; i++ )
    {
        omp_set_lock(&l);
        ctr = ctr + 1;
        omp_unset_lock(&l);
    }
    omp_destroy_lock(&l);

    printf("Ctr: %d (=%d?)\n", ctr, N);

    return 0;
}
