#include <stdio.h>
#include <stdlib.h>
#include "omp.h"

#define N 4
#define NUMBER_OF_THREADS 2

int main(int argc, char *argv[])
{
    #pragma omp parallel num_threads(4)
    {
        int id = omp_get_thread_num();

        printf("Thread %d reporting for duty\n", id);
        #pragma omp barrier

        if ( id == 0 ) {
            // Do some work1();
            printf("[%d] Work1\n", id);
            #pragma omp barrier
        }
        else {
            // Do some work2();
            printf("[%d] Work2\n", id);
            #pragma omp barrier
        }
    }

    return 0;
}

