#include <stdio.h>
#include "omp.h"

#define N 100000

int main( void )
{
    int i, ctr = 0;

    #pragma omp parallel for num_threads(4)
    for( i = 0; i < N; i++ )
    {
        #pragma omp critical
        ctr = ctr + 1;
    }

    printf("Ctr: %d (=%d?)\n", ctr, N);

    return 0;
}
