#include <stdio.h>
#include <stdlib.h>
#include "omp.h"

#define N 4
#define NUMBER_OF_THREADS 2

int main(int argc, char *argv[])
{
    #pragma omp parallel num_threads(4)
    {
        int i;
        int id = omp_get_thread_num();

        printf("Thread %d reporting for duty\n", id);

        #pragma omp barrier

        if ( id < 2 ) {
            #pragma omp for
            for (i = 0; i < 4; i++)
                printf("Thread %d executes first loop - iteration %d\n", id, i);
        }
        else {
            #pragma omp for
            for (i = 0; i < 4; i++)
                printf("Thread %d executes second loop - iteration %d\n", id, i);
        }
    }

    return 0;
}

